Package org.eclipse.jface.databinding.swt

# Interface ISWTObservable

All Superinterfaces:
  `IObservable`

All Known Subinterfaces:
  `ISWTObservableList<E>`, `ISWTObservableValue<T>`

public interface ISWTObservable extends IObservable
`IObservable` observing an SWT widget.

Since:
  1.1

## Method Summary

Modifier and Type
Method
Description
`Widget`
`getWidget()`
Returns the widget of this observable

### Methods inherited from interface org.eclipse.core.databinding.observable.IObservable

`addChangeListener, addDisposeListener, addStaleListener, dispose, getRealm, isDisposed, isStale, removeChangeListener, removeDisposeListener, removeStaleListener`

## Method Details

### getWidget

Widget getWidget()
Returns the widget of this observable

Returns:
  the widget